Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.common
Class Environment

    java.lang.Object
      org.jboss.soa.esb.common.Environment

    public class Environment

extends java.lang.Object

Nested Class Summary
`static class` | `Environment.Transports`

Field Summary
`static java.lang.String` | `DEFAULT_HOST`
`static java.lang.String` | `DEFAULT_INVM_SCOPE`
`static java.lang.String` | `DEFAULT_JNDI_CONTEXT_FACTORY`
`static java.lang.String` | `DEFAULT_JNDI_PKG_PREFIX`
`static java.lang.String` | `DEFAULT_LOAD_BALANCER_POLICY`
`static java.lang.String` | `DEFAULT_PASSWORD`
`static java.lang.String` | `DEFAULT_PORT`
`static java.lang.String` | `DEFAULT_PROPERTY_FILE`
`static java.lang.String` | `DEFAULT_REDELIVER_DLS_ON`
`static java.lang.String` | `DEFAULT_REGISTRY_CACHE_LIFE_MILLIS`
`static java.lang.String` | `DEFAULT_USERNAME`
`static java.lang.String` | `ENCRYPT_FACTORY_CLASS`
`static java.lang.String` | `ESB_BIND_ADDRESS` Binding properties
`static java.lang.String` | `EXCEPTION_ON_DELIVERY_FAILURE`
`static java.lang.String` | `FILTER_NAME`
`static java.lang.String` | `FTP_LOCALDIR`
`static java.lang.String` | `FTP_REMOTEDIR`
`static java.lang.String` | `FTP_SOCKET_TIMEOUT`
`static java.lang.String` | `GATEWAY_CONFIG`
`static java.lang.String` | `JBOSS_INITIAL_CONTEXT_FACTORY` The JBoss JNDI initial context factory.
`static java.lang.String` | `JBOSS_PROVIDER_URL` The JBoss JNDI provider URL.
`static java.lang.String` | `JBOSS_URL_PKG_PREFIX` The JBoss JNDI URL package prefix.
`static java.lang.String` | `JMS_CONNECTION_POOL_SIZE`
`static java.lang.String` | `JMS_MESSAGE_ID`
`static java.lang.String` | `JMS_NATIVE_MESSAGE_TYPE`
`static java.lang.String` | `JMS_SESSION_SLEEP`
`static java.lang.String` | `JNDI_SERVER_CONTEXT_FACTORY`
`static java.lang.String` | `JNDI_SERVER_PKG_PREFIX`
`static java.lang.String` | `JNDI_SERVER_TEST_LOOKUP`
`static java.lang.String` | `JNDI_SERVER_URL`
`static java.lang.String` | `LOAD_BALANCER_POLICY`
`static java.lang.String` | `MESSAGE_BYTE_SIZE`
`static java.lang.String` | `MESSAGE_ENTRY_TIME`
`static java.lang.String` | `MESSAGE_EXIT_TIME`
`static java.lang.String` | `MESSAGE_SOURCE`
`static java.lang.String` | `MESSAGE_TRACE`
`static java.lang.String` | `MSG_STORE_DB_CONN_MANAGER`
`static java.lang.String` | `MSG_STORE_DB_CONNECTION_PWD`
`static java.lang.String` | `MSG_STORE_DB_CONNECTION_URL`
`static java.lang.String` | `MSG_STORE_DB_CONNECTION_USER`
`static java.lang.String` | `MSG_STORE_DB_DATASOURCE_NAME`
`static java.lang.String` | `MSG_STORE_DB_JDBC_DRIVER`
`static java.lang.String` | `MSG_STORE_DB_POOL_INITIAL_SIZE`
`static java.lang.String` | `MSG_STORE_DB_POOL_MAX_SIZE`
`static java.lang.String` | `MSG_STORE_DB_POOL_MIN_SIZE`
`static java.lang.String` | `MSG_STORE_DB_POOL_TEST_TABLE`
`static java.lang.String` | `MSG_STORE_DB_POOL_TIMEOUT_MILLIS`
`static java.lang.String` | `MSG_STORE_DB_TABLE_NAME`
`static java.lang.String` | `MSG_STORE_JCR_JNDI_PATH`
`static java.lang.String` | `MSG_STORE_JCR_PASSWORD`
`static java.lang.String` | `MSG_STORE_JCR_ROOT_NODE_PATH`
`static java.lang.String` | `MSG_STORE_JCR_USERNAME`
`static java.lang.String` | `NAMING_CONTEXT_POOL_SIZE` The maximum pool size.
`static java.lang.String` | `NAMING_CONTEXT_RETRY_COUNT` The maximum number of retries when creating a naming context.
`static java.lang.String` | `NAMING_CONTEXT_SLEEP_PERIOD` The maximum sleep period when waiting for a naming context, specified in seconds.
`static java.lang.String` | `OBJECT_STORE_CONFIG_FILE`
`static java.lang.String` | `ORIGINAL_FILE`
`static java.lang.String` | `ORIGINAL_FILE_NAME_MSG_PROP` Message property name for original filename
`static java.lang.String` | `ORIGINAL_QUEUE_NAME_MSG_PROP`
`static java.lang.String` | `ORIGINAL_URL_PROP`
`static java.lang.String` | `PARAMS_REPOS_IMPL_CLASS`
`static java.lang.String` | `PER_MESSAGE_TRACE`
`static java.lang.String` | `PROPERTIES_FILE`
`static java.lang.String` | `REDELIVER_DLS_SERVICE_ON`
`static java.lang.String` | `REGISTRY_CACHE_LIFE_MILLIS`
`static java.lang.String` | `REGISTRY_CACHE_MAX_SIZE` The maximum cache size for the registry.
`static java.lang.String` | `REGISTRY_CACHE_VALIDITY_PERIOD` The cache validity period.
`static java.lang.String` | `REGISTRY_FACTORY_CLASS` The Registry Factory Class setting specifies which JAXR implementation should be used.
`static java.lang.String` | `REGISTRY_FILE_HELPER_DIR` Property that holds directory to use with the helper EPRManager class.
`static java.lang.String` | `REGISTRY_IMPEMENTATION_CLASS` The Registry Implementation class, a light wrapper class.
`static java.lang.String` | `REGISTRY_INTERCEPTORS` The Registry interceptor class names.
`static java.lang.String` | `REGISTRY_LIFECYCLE_MANAGER_URI` The Registry Lifecycle Manager URI defines the endPoint where service information can be published to.
`static java.lang.String` | `REGISTRY_PASSWORD` The password for the registry user.
`static java.lang.String` | `REGISTRY_POSTAL_ADDRESS_SCHEME` Property that holds the postal address scheme.
`static java.lang.String` | `REGISTRY_QUERY_MANAGER_URI` The Registry Query Manager URI defines the endPoint where registry queries can be made.
`static java.lang.String` | `REGISTRY_SCOUT_TRANSPORT_CLASS` The Registry Scout Transport Class property defines which communication protocol Scout should use to communicate with the UDDI registry.
`static java.lang.String` | `REGISTRY_SECURITY_AUTHENTICATION_METHOD` Property that holds the authentican method the JAXR implementation is supposed to use.
`static java.lang.String` | `REGISTRY_SEMANTIC_EQUIVALENCES` Property that holds the setting to the semantic equivalence scheme to use.
`static java.lang.String` | `REGISTRY_UDDI_MAX_ROWS` Property that holds the max number of rows the UDDI should return on searches.
`static java.lang.String` | `REGISTRY_USER` The user used to query and publish to the registry.
`static java.lang.String` | `REMOVE_DEAD_EPR`
`static java.lang.String` | `SMTP_AUTH`
`static java.lang.String` | `SMTP_FROM`
`static java.lang.String` | `SMTP_HOST`
`static java.lang.String` | `SMTP_PASSWORD`
`static java.lang.String` | `SMTP_PORT`
`static java.lang.String` | `SMTP_USERNAME`
`static java.lang.String` | `TRANSPORT_TYPE`

Constructor Summary
`Environment()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

See Also:
  Constant Field Values

### ESB_BIND_ADDRESS

    public static final java.lang.String ESB_BIND_ADDRESS

  Binding properties

  See Also:
    Constant Field Values

### DEFAULT_INVM_SCOPE

    public static final java.lang.String DEFAULT_INVM_SCOPE

See Also:
  Constant Field Values

### SMTP_HOST

    public static final java.lang.String SMTP_HOST

See Also:
  Constant Field Values

### SMTP_USERNAME

    public static final java.lang.String SMTP_USERNAME

See Also:
  Constant Field Values

### SMTP_PASSWORD

    public static final java.lang.String SMTP_PASSWORD

See Also:
  Constant Field Values

### SMTP_PORT

    public static final java.lang.String SMTP_PORT

See Also:
  Constant Field Values

### SMTP_FROM

    public static final java.lang.String SMTP_FROM

See Also:
  Constant Field Values

### SMTP_AUTH

    public static final java.lang.String SMTP_AUTH

See Also:
  Constant Field Values

### FTP_LOCALDIR

    public static final java.lang.String FTP_LOCALDIR

See Also:
  Constant Field Values

### FTP_REMOTEDIR

    public static final java.lang.String FTP_REMOTEDIR

See Also:
  Constant Field Values

### FTP_SOCKET_TIMEOUT

    public static final java.lang.String FTP_SOCKET_TIMEOUT

See Also:
  Constant Field Values

### JMS_CONNECTION_POOL_SIZE

    public static final java.lang.String JMS_CONNECTION_POOL_SIZE

See Also:
  Constant Field Values

### JMS_SESSION_SLEEP

    public static final java.lang.String JMS_SESSION_SLEEP

See Also:
  Constant Field Values

### JNDI_SERVER_URL

    public static final java.lang.String JNDI_SERVER_URL

See Also:
  Constant Field Values

### JNDI_SERVER_CONTEXT_FACTORY

    public static final java.lang.String JNDI_SERVER_CONTEXT_FACTORY

See Also:
  Constant Field Values

### JNDI_SERVER_PKG_PREFIX

    public static final java.lang.String JNDI_SERVER_PKG_PREFIX

See Also:
  Constant Field Values

### JNDI_SERVER_TEST_LOOKUP

    public static final java.lang.String JNDI_SERVER_TEST_LOOKUP

See Also:
  Constant Field Values

### PARAMS_REPOS_IMPL_CLASS

    public static final java.lang.String PARAMS_REPOS_IMPL_CLASS

See Also:
  Constant Field Values

### OBJECT_STORE_CONFIG_FILE

    public static final java.lang.String OBJECT_STORE_CONFIG_FILE

See Also:
  Constant Field Values

### ENCRYPT_FACTORY_CLASS

    public static final java.lang.String ENCRYPT_FACTORY_CLASS

See Also:
  Constant Field Values

### LOAD_BALANCER_POLICY

    public static final java.lang.String LOAD_BALANCER_POLICY

See Also:
  Constant Field Values

### REDELIVER_DLS_SERVICE_ON

    public static final java.lang.String REDELIVER_DLS_SERVICE_ON

See Also:
  Constant Field Values

### REGISTRY_CACHE_LIFE_MILLIS

    public static final java.lang.String REGISTRY_CACHE_LIFE_MILLIS

See Also:
  Constant Field Values

### REMOVE_DEAD_EPR

    public static final java.lang.String REMOVE_DEAD_EPR

See Also:
  Constant Field Values

### EXCEPTION_ON_DELIVERY_FAILURE

    public static final java.lang.String EXCEPTION_ON_DELIVERY_FAILURE

See Also:
  Constant Field Values

### REGISTRY_QUERY_MANAGER_URI

    public static final java.lang.String REGISTRY_QUERY_MANAGER_URI

  The Registry Query Manager URI defines the endPoint where registry queries can be made.

  See Also:
    Constant Field Values

### REGISTRY_LIFECYCLE_MANAGER_URI

    public static final java.lang.String REGISTRY_LIFECYCLE_MANAGER_URI

  The Registry Lifecycle Manager URI defines the endPoint where service information can be published to.

  See Also:
    Constant Field Values

### REGISTRY_IMPEMENTATION_CLASS

    public static final java.lang.String REGISTRY_IMPEMENTATION_CLASS

  The Registry Implementation class, a light wrapper class.

  See Also:
    Constant Field Values

### REGISTRY_FACTORY_CLASS

    public static final java.lang.String REGISTRY_FACTORY_CLASS

  The Registry Factory Class setting specifies which JAXR implementation should be used.

  See Also:
    Constant Field Values

### REGISTRY_USER

    public static final java.lang.String REGISTRY_USER

  The user used to query and publish to the registry.

  See Also:
    Constant Field Values

### REGISTRY_PASSWORD

    public static final java.lang.String REGISTRY_PASSWORD

  The password for the registry user.

  See Also:
    Constant Field Values

### REGISTRY_SCOUT_TRANSPORT_CLASS

    public static final java.lang.String REGISTRY_SCOUT_TRANSPORT_CLASS

  The Registry Scout Transport Class property defines which communication protocol Scout should use to communicate with the UDDI registry. Note that this parameter is Scout specific.

  See Also:
    Constant Field Values

### REGISTRY_FILE_HELPER_DIR

    public static final java.lang.String REGISTRY_FILE_HELPER_DIR

  Property that holds directory to use with the helper EPRManager class.

  See Also:
    Constant Field Values

### REGISTRY_SEMANTIC_EQUIVALENCES

    public static final java.lang.String REGISTRY_SEMANTIC_EQUIVALENCES

  Property that holds the setting to the semantic equivalence scheme to use.

  See Also:
    Constant Field Values

### REGISTRY_POSTAL_ADDRESS_SCHEME

    public static final java.lang.String REGISTRY_POSTAL_ADDRESS_SCHEME

  Property that holds the postal address scheme.

  See Also:
    Constant Field Values

### REGISTRY_SECURITY_AUTHENTICATION_METHOD

    public static final java.lang.String REGISTRY_SECURITY_AUTHENTICATION_METHOD

  Property that holds the authentican method the JAXR implementation is supposed to use.

  See Also:
    Constant Field Values

### REGISTRY_UDDI_MAX_ROWS

    public static final java.lang.String REGISTRY_UDDI_MAX_ROWS

  Property that holds the max number of rows the UDDI should return on searches.

  See Also:
    Constant Field Values

### REGISTRY_INTERCEPTORS

    public static final java.lang.String REGISTRY_INTERCEPTORS

  The Registry interceptor class names.

  See Also:
    Constant Field Values

### REGISTRY_CACHE_MAX_SIZE

    public static final java.lang.String REGISTRY_CACHE_MAX_SIZE

  The maximum cache size for the registry.

  See Also:
    Constant Field Values

### REGISTRY_CACHE_VALIDITY_PERIOD

    public static final java.lang.String REGISTRY_CACHE_VALIDITY_PERIOD

  The cache validity period.

  See Also:
    Constant Field Values

### DEFAULT_PROPERTY_FILE

    public static final java.lang.String DEFAULT_PROPERTY_FILE

See Also:
  Constant Field Values

### DEFAULT_HOST

    public static final java.lang.String DEFAULT_HOST

See Also:
  Constant Field Values

### DEFAULT_USERNAME

    public static final java.lang.String DEFAULT_USERNAME

See Also:
  Constant Field Values

### DEFAULT_PASSWORD

    public static final java.lang.String DEFAULT_PASSWORD

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final java.lang.String DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_JNDI_CONTEXT_FACTORY

    public static final java.lang.String DEFAULT_JNDI_CONTEXT_FACTORY

See Also:
  Constant Field Values

### DEFAULT_JNDI_PKG_PREFIX

    public static final java.lang.String DEFAULT_JNDI_PKG_PREFIX

See Also:
  Constant Field Values

### DEFAULT_LOAD_BALANCER_POLICY

    public static final java.lang.String DEFAULT_LOAD_BALANCER_POLICY

See Also:
  Constant Field Values

### DEFAULT_REDELIVER_DLS_ON

    public static final java.lang.String DEFAULT_REDELIVER_DLS_ON

See Also:
  Constant Field Values

### DEFAULT_REGISTRY_CACHE_LIFE_MILLIS

    public static final java.lang.String DEFAULT_REGISTRY_CACHE_LIFE_MILLIS

See Also:
  Constant Field Values

### MSG_STORE_DB_CONNECTION_URL

    public static final java.lang.String MSG_STORE_DB_CONNECTION_URL

See Also:
  Constant Field Values

### MSG_STORE_DB_CONNECTION_USER

    public static final java.lang.String MSG_STORE_DB_CONNECTION_USER

See Also:
  Constant Field Values

### MSG_STORE_DB_CONNECTION_PWD

    public static final java.lang.String MSG_STORE_DB_CONNECTION_PWD

See Also:
  Constant Field Values

### MSG_STORE_DB_TABLE_NAME

    public static final java.lang.String MSG_STORE_DB_TABLE_NAME

See Also:
  Constant Field Values

### MSG_STORE_DB_JDBC_DRIVER

    public static final java.lang.String MSG_STORE_DB_JDBC_DRIVER

See Also:
  Constant Field Values

### MSG_STORE_DB_POOL_INITIAL_SIZE

    public static final java.lang.String MSG_STORE_DB_POOL_INITIAL_SIZE

See Also:
  Constant Field Values

### MSG_STORE_DB_POOL_MIN_SIZE

    public static final java.lang.String MSG_STORE_DB_POOL_MIN_SIZE

See Also:
  Constant Field Values

### MSG_STORE_DB_POOL_MAX_SIZE

    public static final java.lang.String MSG_STORE_DB_POOL_MAX_SIZE

See Also:
  Constant Field Values

### MSG_STORE_DB_POOL_TEST_TABLE

    public static final java.lang.String MSG_STORE_DB_POOL_TEST_TABLE

See Also:
  Constant Field Values

### MSG_STORE_DB_POOL_TIMEOUT_MILLIS

    public static final java.lang.String MSG_STORE_DB_POOL_TIMEOUT_MILLIS

See Also:
  Constant Field Values

### MSG_STORE_DB_CONN_MANAGER

    public static final java.lang.String MSG_STORE_DB_CONN_MANAGER

See Also:
  Constant Field Values

### MSG_STORE_DB_DATASOURCE_NAME

    public static final java.lang.String MSG_STORE_DB_DATASOURCE_NAME

See Also:
  Constant Field Values

### MSG_STORE_JCR_JNDI_PATH

    public static final java.lang.String MSG_STORE_JCR_JNDI_PATH

See Also:
  Constant Field Values

### MSG_STORE_JCR_USERNAME

    public static final java.lang.String MSG_STORE_JCR_USERNAME

See Also:
  Constant Field Values

### MSG_STORE_JCR_PASSWORD

    public static final java.lang.String MSG_STORE_JCR_PASSWORD

See Also:
  Constant Field Values

### MSG_STORE_JCR_ROOT_NODE_PATH

    public static final java.lang.String MSG_STORE_JCR_ROOT_NODE_PATH

See Also:
  Constant Field Values

### TRANSPORT_TYPE

    public static final java.lang.String TRANSPORT_TYPE

See Also:
  Constant Field Values

### MESSAGE_SOURCE

    public static final java.lang.String MESSAGE_SOURCE

See Also:
  Constant Field Values

### MESSAGE_ENTRY_TIME

    public static final java.lang.String MESSAGE_ENTRY_TIME

See Also:
  Constant Field Values

### MESSAGE_EXIT_TIME

    public static final java.lang.String MESSAGE_EXIT_TIME

See Also:
  Constant Field Values

### MESSAGE_BYTE_SIZE

    public static final java.lang.String MESSAGE_BYTE_SIZE

See Also:
  Constant Field Values

### ORIGINAL_FILE_NAME_MSG_PROP

    public static final java.lang.String ORIGINAL_FILE_NAME_MSG_PROP

  Message property name for original filename

  See Also:
    Constant Field Values

### ORIGINAL_QUEUE_NAME_MSG_PROP

    public static final java.lang.String ORIGINAL_QUEUE_NAME_MSG_PROP

See Also:
  Constant Field Values

### ORIGINAL_URL_PROP

    public static final java.lang.String ORIGINAL_URL_PROP

See Also:
  Constant Field Values

### ORIGINAL_FILE

    public static final java.lang.String ORIGINAL_FILE

See Also:
  Constant Field Values

### GATEWAY_CONFIG

    public static final java.lang.String GATEWAY_CONFIG

See Also:
  Constant Field Values

### JMS_MESSAGE_ID

    public static final java.lang.String JMS_MESSAGE_ID

See Also:
  Constant Field Values

### JMS_NATIVE_MESSAGE_TYPE

    public static final java.lang.String JMS_NATIVE_MESSAGE_TYPE

See Also:
  Constant Field Values

### FILTER_NAME

    public static final java.lang.String FILTER_NAME

See Also:
  Constant Field Values

### MESSAGE_TRACE

    public static final java.lang.String MESSAGE_TRACE

See Also:
  Constant Field Values

### PER_MESSAGE_TRACE

    public static final java.lang.String PER_MESSAGE_TRACE

See Also:
  Constant Field Values

### NAMING_CONTEXT_POOL_SIZE

    public static final java.lang.String NAMING_CONTEXT_POOL_SIZE

  The maximum pool size.

  See Also:
    Constant Field Values

### NAMING_CONTEXT_SLEEP_PERIOD

    public static final java.lang.String NAMING_CONTEXT_SLEEP_PERIOD

  The maximum sleep period when waiting for a naming context, specified in seconds.

  See Also:
    Constant Field Values

### NAMING_CONTEXT_RETRY_COUNT

    public static final java.lang.String NAMING_CONTEXT_RETRY_COUNT

  The maximum number of retries when creating a naming context.

  See Also:
    Constant Field Values

### JBOSS_PROVIDER_URL

    public static final java.lang.String JBOSS_PROVIDER_URL

  The JBoss JNDI provider URL.

  See Also:
    Constant Field Values

### JBOSS_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String JBOSS_INITIAL_CONTEXT_FACTORY

  The JBoss JNDI initial context factory.

  See Also:
    Constant Field Values

### JBOSS_URL_PKG_PREFIX

    public static final java.lang.String JBOSS_URL_PKG_PREFIX

  The JBoss JNDI URL package prefix.

  See Also:
    Constant Field Values

Constructor Detail

### Environment

    public Environment()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD